IF OBJECT_ID('[Udsatte børn og unge].[DimUBUBaggrundBarnetType]','U') IS NOT NULL
BEGIN
IF NOT EXISTS (SELECT 'T' FROM [Udsatte børn og unge].[DimUBUBaggrundBarnetType] WHERE [DimUBUBaggrundBarnetTypeID] = -1 )
  INSERT INTO [Udsatte børn og unge].[DimUBUBaggrundBarnetType]([DimUBUBaggrundBarnetTypeID]) VALUES (-1)
UPDATE [Udsatte børn og unge].[DimUBUBaggrundBarnetType] SET
   [MisbrugBarn] = 'Ukendt'
	,[KriminalitetBarn] = 'Ukendt'
	,[SkoleProblemerBarn] = 'Ukendt'
	,[AndenBekymrendeAdfærd] = 'Ukendt'
	,[NedsatFysiskPsykiskFunktionsevneBarn] = 'Ukendt'
	,[SundhedsforholdBarn] = 'Ukendt'
	,[OvergrebModBarn] = 'Ukendt'
	,[AndenOmsorgssvigt] = 'Ukendt'
	,[OvergrebIkkeForældre] = 'Ukendt'
	,[SYS_KommuneId] = 999
   WHERE [DimUBUBaggrundBarnetTypeID] = -1
END
GO
